unit demo1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  Menus, MultiButton;

type

  { TForm1 }

  TForm1 = class(TForm)
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MultiButton1: TMultiButton;
    MultiButton10: TMultiButton;
    MultiButton11: TMultiButton;
    MultiButton12: TMultiButton;
    MultiButton13: TMultiButton;
    MultiButton14: TMultiButton;
    MultiButton15: TMultiButton;
    MultiButton16: TMultiButton;
    MultiButton17: TMultiButton;
    MultiButton18: TMultiButton;
    MultiButton19: TMultiButton;
    MultiButton2: TMultiButton;
    MultiButton20: TMultiButton;
    MultiButton3: TMultiButton;
    MultiButton4: TMultiButton;
    MultiButton5: TMultiButton;
    MultiButton6: TMultiButton;
    MultiButton7: TMultiButton;
    MultiButton8: TMultiButton;
    MultiButton9: TMultiButton;
    Panel1: TPanel;
    Panel2: TPanel;
    PopupMenu1: TPopupMenu;
    Shape1: TShape;
    Shape2: TShape;
    procedure FormCreate(Sender: TObject);
    procedure DoShowHint(var {%H-}HintStr: String;
                         var {%H-}CanShow: Boolean; var HintInfo: THintInfo);
    procedure FormMouseMove(Sender: TObject; {%H-}Shift: TShiftState; {%H-}X, {%H-}Y: Integer);
    procedure MultiButton18MessageButtonClick(Sender: TObject);
    procedure MultiButton18MouseEnter(Sender: TObject);
    procedure MultiButton18MouseLeave(Sender: TObject);
    procedure MultiButton19Click(Sender: TObject);
    procedure MultiButton19MessageButtonClick(Sender: TObject);
    procedure MultiButton1Click(Sender: TObject);
    procedure MultiButton20Click(Sender: TObject);
    procedure MultiButton20MessageButtonClick(Sender: TObject);
    procedure MultiButton2Click(Sender: TObject);
    procedure MultiButton3Click(Sender: TObject);
    procedure MultiButton4Click(Sender: TObject);
    procedure MultiButton5Click(Sender: TObject);
    procedure MultiButton5MessageButtonClick(Sender: TObject);
    procedure MultiButton6Click(Sender: TObject);
    procedure MultiButton7Click(Sender: TObject);
    procedure MultiButton8Click(Sender: TObject);
    procedure Panle2MultiButtonClick(Sender: TObject);
  private
    mus : integer;
    mes : integer;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
 Application.ShowHint := True;
 Application.OnShowHint := @DoShowHint;
 screen.HintFont.Color:=$000B85FF;
 MultiButton9.OnClick := @Panle2MultiButtonClick;
 MultiButton10.OnClick:= @Panle2MultiButtonClick;
 MultiButton11.OnClick:= @Panle2MultiButtonClick;
 MultiButton12.OnClick:= @Panle2MultiButtonClick;
 MultiButton13.OnClick:= @Panle2MultiButtonClick;
 MultiButton14.OnClick:= @Panle2MultiButtonClick;
 MultiButton15.OnClick:= @Panle2MultiButtonClick;
 MultiButton16.OnClick:= @Panle2MultiButtonClick;
 MultiButton17.OnClick:= @Panle2MultiButtonClick;
 mus:=0;mes:=0;
end;

procedure TForm1.DoShowHint(var HintStr: String; var CanShow: Boolean; var HintInfo: THintInfo);
begin
 HintInfo.HintColor:= $282828;
end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 caption:= 'Test The MultiButton';
end;

procedure TForm1.MultiButton18MessageButtonClick(Sender: TObject);
begin
  showmessage('');
end;

procedure TForm1.MultiButton18MouseEnter(Sender: TObject);
begin
 MultiButton18.MessageButton.Visible:=true;
 MultiButton18.Width := 180;
 MultiButton18.Height:= 120;
end;

procedure TForm1.MultiButton18MouseLeave(Sender: TObject);
begin
 MultiButton18.MessageButton.Visible:=false;
 MultiButton18.Width := 180;
 MultiButton18.Height:= 120;
end;

procedure TForm1.MultiButton19Click(Sender: TObject);
begin
  caption:='Wähle weitere Optionen';
end;

procedure TForm1.MultiButton19MessageButtonClick(Sender: TObject);
begin
 PopupMenu1.PopUp;
end;

procedure TForm1.MultiButton1Click(Sender: TObject);
begin
  caption:='Message from MultiButton1'
end;

procedure TForm1.MultiButton20Click(Sender: TObject);
begin
 inc(mus);
 if mus=4 then mus :=0;
 case mus of
  0 : MultiButton20.Style:= mbsEllipse;
  1 : MultiButton20.Style:= mbsRect;
  2 : MultiButton20.Style:= mbsCircle;
  3 : begin
       MultiButton20.Style:= mbsRoundRect;
       MultiButton20.Width := 140;
       MultiButton20.Height:= 100;
      end;
 end;
end;

procedure TForm1.MultiButton20MessageButtonClick(Sender: TObject);
begin
 inc(mes);
 if mes=16 then mes :=0;
 case mes of
  0  : MultiButton20.MessageButton.Alignment:=alBottomIn;
  1  : MultiButton20.MessageButton.Alignment:=alBottomOut;
  2  : MultiButton20.MessageButton.Alignment:=alE;
  3  : MultiButton20.MessageButton.Alignment:=alLeftIn;
  4  : MultiButton20.MessageButton.Alignment:=alLeftOut;
  5  : MultiButton20.MessageButton.Alignment:=alN;
  6  : MultiButton20.MessageButton.Alignment:=alNW;
  7  : MultiButton20.MessageButton.Alignment:=alNE;
  8  : MultiButton20.MessageButton.Alignment:=alRightIn;
  9  : MultiButton20.MessageButton.Alignment:=alRightOut;
  10 : MultiButton20.MessageButton.Alignment:=alS;
  11 : MultiButton20.MessageButton.Alignment:=alSW;
  12 : MultiButton20.MessageButton.Alignment:=alSE;
  13 : MultiButton20.MessageButton.Alignment:=alTopIn;
  14 : MultiButton20.MessageButton.Alignment:=alTopOut;
  15 : MultiButton20.MessageButton.Alignment:=alW;
 end;



 MultiButton20.MessageButton.Width := 50;
 MultiButton20.MessageButton.Height:= 30;
end;

procedure TForm1.MultiButton2Click(Sender: TObject);
begin
 caption:='START'
end;

procedure TForm1.MultiButton3Click(Sender: TObject);
begin
 caption:='Filter'
end;

procedure TForm1.MultiButton4Click(Sender: TObject);
begin
 caption:='Aaarrggg'
end;

procedure TForm1.MultiButton5Click(Sender: TObject);
var i : integer;
begin
 i := strtoint(MultiButton5.MessageButton.Caption);
 inc(i);
 MultiButton5.MessageButton.Caption:= inttostr(i);
end;

procedure TForm1.MultiButton5MessageButtonClick(Sender: TObject);
begin
 MultiButton5.MessageButton.Caption:='0'
end;

procedure TForm1.MultiButton6Click(Sender: TObject);
begin
 if MultiButton6.Actuated then
 MultiButton6.MessageButton.ImageIndex:=2 else
 MultiButton6.MessageButton.ImageIndex:=1;
end;

procedure TForm1.MultiButton7Click(Sender: TObject);
begin
 if MultiButton7.Actuated then
 begin
  MultiButton7.MessageButton.Alignment:=alRightIn;
  MultiButton7.ColorStart:= $32B332;
  MultiButton7.ColorEnd  := $32B332;
  Shape1.Brush.Color:= $32B332;
 end else
 begin
  MultiButton7.MessageButton.Alignment:=alLeftIn;
  MultiButton7.ColorStart:= clGreen;
  MultiButton7.ColorEnd  := clGreen;
  Shape1.Brush.Color:=clGreen;
 end;
end;

procedure TForm1.MultiButton8Click(Sender: TObject);
begin
 if MultiButton8.Actuated then
 begin
  MultiButton8.MessageButton.Alignment:=alBottomIn;
  MultiButton8.ColorStart:= $32B332;
  MultiButton8.ColorEnd  := $32B332;
  Shape2.Brush.Color:= $32B332;
 end else
 begin
  MultiButton8.MessageButton.Alignment:=alTopIn;
  MultiButton8.ColorStart:= clGreen;
  MultiButton8.ColorEnd  := clGreen;
  Shape2.Brush.Color:=clGreen;
 end;
end;

procedure TForm1.Panle2MultiButtonClick(Sender: TObject);
begin
 MultiButton9.MessageButton.ColorStart := $00282828;
 MultiButton9.MessageButton.ColorEnd   := $00282828;
 MultiButton10.MessageButton.ColorStart := $00282828;
 MultiButton10.MessageButton.ColorEnd   := $00282828;
 MultiButton11.MessageButton.ColorStart := $00282828;
 MultiButton11.MessageButton.ColorEnd   := $00282828;
 MultiButton12.MessageButton.ColorStart := $00282828;
 MultiButton12.MessageButton.ColorEnd   := $00282828;
 MultiButton13.MessageButton.ColorStart := $00282828;
 MultiButton13.MessageButton.ColorEnd   := $00282828;
 MultiButton14.MessageButton.ColorStart := $00282828;
 MultiButton14.MessageButton.ColorEnd   := $00282828;
 MultiButton15.MessageButton.ColorStart := $00282828;
 MultiButton15.MessageButton.ColorEnd   := $00282828;
 MultiButton16.MessageButton.ColorStart := $00282828;
 MultiButton16.MessageButton.ColorEnd   := $00282828;
 MultiButton17.MessageButton.ColorStart := $00282828;
 MultiButton17.MessageButton.ColorEnd   := $00282828;

 (Sender as TMultiButton).MessageButton.ColorStart:=$000B85FF;
 (Sender as TMultiButton).MessageButton.ColorEnd  :=$000B85FF;
end;

end.

